Subject: [TR] Gauges

From: Perry Hammock <[email-masked]>
Date: Mon, 17 Mar 2025 09:36:10 -0400

Good morning!
I do have the original oil pressure gauge in my TR3 - I like the domed glass gauges as they have that extra bit of elan the is so precious in our cars

I have a later tr4 electric temp gauge - and have an original tr3 gauge on the shelf - sadly I cant get the sender out of the thermostat housing, nor the housing off the car - be sure to put some anti seize on whatever connection you end up with - the dissimilar metals bond quite nicely - lol
I did change out the glass and trim ring in the temp gauge so they match
Also, like you, I have an alternator and will replace my ammeter with a voltmeter I got from a Smiths supplier in England - they replaced the trim ring and glass to match my old gauges.
Just my 2 pence worth - 
Perry 
** [email-masked] **

Archive: http://www.team.net/pipermail/triumphs  http://www.team.net/archive